#include <board_conf.h>
#include <board_def.h>

#define GPIO_BOOT1  xcat(GPIO, BOOT1_GPIO_N)
#define PIN_BOOT1   xcat(GPIO_Pin_, BOOT1_PIN_N)
#define RCC_BOOT1   xcat(RCC_APB2Periph_GPIO, BOOT1_GPIO_N)

uint8_t GetConfBit() {
  uint8_t bit;

  RCC_APB2PeriphClockCmd(RCC_BOOT1, ENABLE);
  bit = GPIO_ReadInputDataBit(GPIO_BOOT1, PIN_BOOT1);
  RCC_APB2PeriphClockCmd(RCC_BOOT1, DISABLE);
  return bit;
}
