#include <board_conf.h>
#include <board_def.h>

#define GPIO_BOOT1  xcat(GPIO, BOOT1_GPIO_N)
#define PIN_BOOT1   xcat(GPIO_Pin_, BOOT1_PIN_N)
#define RCC_BOOT1   xcat(RCC_AHB1Periph_GPIO, BOOT1_GPIO_N)
#define GPIO_BOOT2  xcat(GPIO, BOOT2_GPIO_N)
#define PIN_BOOT2   xcat(GPIO_Pin_, BOOT2_PIN_N)
#define RCC_BOOT2   xcat(RCC_AHB1Periph_GPIO, BOOT2_GPIO_N)

uint8_t GetConfBit() {
  GPIO_InitTypeDef GPIO_InitStruct;
  uint8_t bits;

  RCC_AHB1PeriphClockCmd(RCC_BOOT1 | RCC_BOOT2, ENABLE);
  GPIO_InitStruct.GPIO_Pin = PIN_BOOT1;
  GPIO_InitStruct.GPIO_Mode = GPIO_Mode_IN;
  GPIO_InitStruct.GPIO_Speed = GPIO_Speed_2MHz;
  GPIO_InitStruct.GPIO_OType = GPIO_OType_PP;
  GPIO_InitStruct.GPIO_PuPd = GPIO_PuPd_NOPULL;
  GPIO_Init(GPIO_BOOT1, &GPIO_InitStruct);
  GPIO_InitStruct.GPIO_Pin = PIN_BOOT2;
  GPIO_Init(GPIO_BOOT2, &GPIO_InitStruct);
  bits = 0;
  bits |= GPIO_ReadInputDataBit(GPIO_BOOT1, PIN_BOOT1) ? 1 : 0;
  bits |= GPIO_ReadInputDataBit(GPIO_BOOT2, PIN_BOOT2) ? 2 : 0;
  RCC_AHB2PeriphClockCmd(RCC_BOOT1 | RCC_BOOT2, DISABLE);

  return bits;
}
